Subject: Re: bug#77439: [PATCH] Eglot: introduce eglot-show-diagnostics-source

From: João Távora <[email-masked]>
Date: Tue, 1 Apr 2025 22:47:02 +0100

On Tue, Apr 1, 2025 at 9:59 PM Nicolás Ojeda Bär <[email-masked]> wrote:
>
> Tags: patch
>
> Dear developers (Cc: João Távora),
>
> This small patch introduces a new variable eglot-show-diagnostics-source
> which controls whether Eglot prefixes every diagnostic with the name of

Thanks.   The patch looks good and ticks all the boxes.  Well almost,
there  are some minor details I didn't tell you about and are easy to miss.

* two spaces between sentences in documentation.
* the first line of the docstring should be a complete sentence and
fit in a line when the docstring is formatted with M-q
* perhaps some other micro things I missed
* the code used concat to handle the nilness of source/code, this one
is more explicit.  i can live with that though, maybe it's better like this.

The most important and boring thing will be to figure out if you need
a copyright assignment for this contribution.  Maybe not, if it counts
as a "trivial" patch, but you should probably get one started
regardless.  Eli, please advise.

João